@import '../../../../styles/_variables.scss';

zs-notification-list-item {
	display: block;
	line-height: 1.4;
	padding: 1.1rem 1rem 1.1rem 1.33rem;
	border-bottom: solid 1px rgba(0, 0, 0, 0.1);
	background: desaturate(darken($very-light-blue, 1%), 5%);
	display: flex;
	max-width: 100%;
	overflow-x: hidden;
	position: relative;
	transition: transform $bezier-animation;

	&.ng-hide {
		opacity: 0;
	}

	&:hover {
		cursor: pointer;
		background: darken($very-light-blue, 6%);
	}

	&.read {
		background: #fff;
	}

	&.read:hover {
		background: $very-light-blue;
	}

	&.removing {
		transform: translate(-100%, 0);
	}

	a {
		color: $primary-color;
		text-decoration: underline;
	}

	.notification-list-item-content {
		min-width: 0;
		margin-right: 5px;
		flex-grow: 1;

		@media only screen and (min-width : 1024px) {
			flex-grow: 1;
		}
	}

	.notification-list-item-title {
		white-space: normal;
	}

	.notification-list-item-type-icon {
		flex-shrink: 0;

		zs-icon {
			border-radius: 100%;
			width: 2.1rem;
			height: 2.1rem;
			line-height: 2.1rem;
			background-color: #333;
			color: #fff;
			display: flex;
			align-items: center;
			justify-content: center;
			margin: 0 1.15rem 0 0;
			font-size: 1.3rem;

			&[icon-type="message-text"] {
				background-color: $yellow;
			}

			&[icon-type="email"] {
				background-color: $blue;
			}

			&[icon-type="file"],
			&[icon-type="file-check"] {
				background-color: $green;
			}

			&[icon-type="pencil"] {
				background-color: $orange;
			}

			&[icon-type="account-star-variant"] {
				background-color: $purple;
			}
		}
	}

	.notification-list-item-archive-button {
		button {
			background: none;
			border: none;
		}

		zs-icon {
			display: flex;
			width: 2.1rem;
			height: 2.1rem;
			line-height: 2.1rem;
			border-radius: 100%;
			color: #999;
			margin-right: 0;
			font-size: $h1-font-size;
			background: none;
			align-items: center;
			justify-content: center;

			&:hover {
				background: rgba(0, 0, 0, 0.1);
				color: #000;
			}
		}
	}

	@media only screen and (min-width : 1024px) {

		.notification-list-item-archive-button {
			display: none;
			position: absolute;
			right: 0;
			top: 0;
			bottom: 0;
			z-index: 10;
			background: #d1edff;
			width: 54px;
			padding-top: 10px;
			padding-left: 5px;

			&:before {
				content: '';
				left: -20px;
				top: 0;
				bottom: 0;
				background: linear-gradient(to right, rgba(209, 237, 255, 0) 0%, rgba(209, 237, 255, 1) 100%);
				width: 20px;
				position: absolute;
			}

			zs-icon {
				color: #999;
				margin-right: 0;
				font-size: $h1-font-size;
				background: none;
			}

			button {
				background: none;
				border: 0;
				padding: 0;

				&:focus {
					outline: 0;
				}

				&:hover zs-icon {
					color: #000;
					background: rgba(0, 0, 0, 0.1);
				}
			}
		}

		&.read .notification-list-item-archive-button {
			background: $very-light-blue;

			&:before {
				background: linear-gradient(to right, rgba(240, 249, 255, 0) 0%, rgba(240, 249, 255, 1) 100%);
			}
		}

		&:hover .notification-list-item-archive-button {
			display: block;
		}

	}

	.notification-list-item-label {
		padding-left: 5px;
		word-wrap: break-word;
	}

	.notification-list-item-message {}

	.notification-list-item-message-sender {
		display: inline;

		.mdi {
			font-size: 1.1rem;
			color: #999;
		}
	}

	.notification-list-item-message-content {
		display: inline;
		white-space: normal;
	}

	.notification-list-item-date {
		display: block;
		color: #999;
		margin-top: 2px;
		font-size: 12px;
	}
}